# Type Alias FiveProviderPropTypes

type FiveProviderPropTypes = {
children: React.ReactNode;
initialOptions?: number | FiveLoadOptions;
initialState?: "inherit" | "initial" | Partial<Omit<State, "offset">>;
initialUserAction?: boolean;
initialWork?: Work | Work[];
onCurrentStateChange?: (state: State, userAction: boolean) => void;
onError?: (error: Error) => void;
onStateChange?: (state: State, userAction: boolean) => void;
onWorksChange?: (works: Works) => void;
work?: Work | Work[];
}

- Defined in lib/react/createProvider.ts:21

##### Index

### Properties

children
initialOptions?
initialState?
initialUserAction?
initialWork?
onCurrentStateChange?
onError?
onStateChange?
onWorksChange?
work?

## Properties

### children

children: React.ReactNode

- Defined in lib/react/createProvider.ts:31

### `Optional` initialOptions

initialOptions?: number | FiveLoadOptions

- Defined in lib/react/createProvider.ts:25

### `Optional` initialState

initialState?: "inherit" | "initial" | Partial<Omit<State, "offset">>

- Defined in lib/react/createProvider.ts:24

### `Optional` initialUserAction

initialUserAction?: boolean

- Defined in lib/react/createProvider.ts:26

### `Optional` initialWork

initialWork?: Work | Work[]

- Defined in lib/react/createProvider.ts:23

### `Optional` onCurrentStateChange

onCurrentStateChange?: (state: State, userAction: boolean) => void

- Defined in lib/react/createProvider.ts:29

### `Optional` onError

onError?: (error: Error) => void

- Defined in lib/react/createProvider.ts:30

### `Optional` onStateChange

onStateChange?: (state: State, userAction: boolean) => void

- Defined in lib/react/createProvider.ts:28

### `Optional` onWorksChange

onWorksChange?: (works: Works) => void

- Defined in lib/react/createProvider.ts:27

### `Optional` work

work?: Work | Work[]

- Defined in lib/react/createProvider.ts:22